summaryrefslogtreecommitdiff
path: root/t/parallel-tests9.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/parallel-tests9.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/parallel-tests9.sh')
-rwxr-xr-xt/parallel-tests9.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/t/parallel-tests9.sh b/t/parallel-tests9.sh
index 42d0e2d9c..b22e82d4d 100755
--- a/t/parallel-tests9.sh
+++ b/t/parallel-tests9.sh
@@ -17,7 +17,7 @@
# Check parallel-tests features:
# - recheck
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_OUTPUT
@@ -55,14 +55,14 @@ $AUTOCONF
$AUTOMAKE -a
./configure
-$MAKE check >stdout && { cat stdout; Exit 1; }
+$MAKE check >stdout && { cat stdout; exit 1; }
cat stdout
count_test_results total=3 pass=1 fail=1 skip=0 xfail=0 xpass=0 error=1
-$MAKE recheck >stdout && { cat stdout; Exit 1; }
+$MAKE recheck >stdout && { cat stdout; exit 1; }
cat stdout
count_test_results total=2 pass=0 fail=1 skip=0 xfail=0 xpass=0 error=1
-grep 'foo\.test' stdout && Exit 1
+grep 'foo\.test' stdout && exit 1
grep '^ERROR: bar\.test$' stdout
grep '^FAIL: baz\.test$' stdout